alter table sjs.arrestchargesweapons add (I_AGCY_ORI varchar2(9));

alter table sjs.arrestchargesweapons add (I_ID varchar2(9));

create or replace TRIGGER SJS.AC_NYDEX_INSERT
BEFORE INSERT ON SJS.ARRESTCHARGES
FOR EACH ROW
BEGIN
   insert into NYDEX.NYDEX_MOD_LOG values (:new.i_id,'GREEN',null,1,'M',:new.i_agcy_ori,'N','N','N',null,null,null);
END;
/

create or replace
TRIGGER SJS.ACW_NYDEX_INSERT
BEFORE INSERT ON SJS.ARRESTCHARGESWEAPONS
FOR EACH ROW
declare
iid number(18);
agcyori varchar2(9);
BEGIN

 for i  in (SELECT ac.i_id,ac.i_agcy_ori FROM sjs.arrestcharges ac WHERE ac.ac_id = :new.ac_id)
 loop
    insert into NYDEX.NYDEX_MOD_LOG values (i.i_id,'GREEN',null,1,'M',i.i_agcy_ori,'N','N','N',null,null,null);
 end loop;
 select ac.i_id,ac.agcy_ori into :new.i_id,:new.i_agcy_ori from sjs.arrestcharges ac WHERE ac.ac_id = :new.ac_id;
 
END;
/

create or replace TRIGGER SJS.ACW_NYDEX_DELETE_BDFER
BEFORE DELETE ON SJS.ARRESTCHARGESWEAPONS
FOR EACH ROW
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
ori varchar2(9);
iid number(23);
BEGIN
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.i_agcy_ori;
END;
/

create or replace TRIGGER SJS.IP_NYDEX_DELETE
BEFORE DELETE ON SJS.INCIDENTPEOPLE
for each row
BEGIN
  insert into NYDEX.NYDEX_MOD_LOG values (:old.i_id,'GREEN',null,1,'M',:old.agcy_ori,'N','N','N',null,null,null);
END;
/

