create or replace
TRIGGER SJS.PH_NYDEX_DELETE
BEFORE DELETE
ON SJS.personphoto
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN

         for i in
         (SELECT IP.I_ID,IP.AGCY_ORI FROM SJS.INCIDENTPEOPLE IP WHERE IP.PD_ID=:OLD.PD_ID
         )
         loop
          insert into NYDEX.NYDEX_MOD_LOG values (i.i_id,'GREEN',null,1,'M',i.agcy_ori,'N','N','N',null,null,null);
         end loop;

         --for warrantpeople

         for i in (
         SELECT I_ID,I_AGCY_ORI FROM WARRANTCHARGES WHERE (W_ID,AGCY_ORI) IN
         (
         SELECT WP.W_ID,WP.AGCY_ORI FROM SJS.WARRANTPEOPLE WP WHERE WP.PD_ID =:OLD.PD_ID
         )
         )
         loop
          insert into NYDEX.NYDEX_MOD_LOG values (i.i_id,'GREEN',null,1,'M',i.I_AGCY_ORI,'N','N','N',null,null,null);
         end loop;

        --for warrantpeople

         for i in
         (
         SELECT I_ID,I_AGCY_ORI FROM ARRESTCHARGES WHERE (A_ID,AGCY_ORI) IN
         (
         SELECT AP.A_ID,AP.AGCY_ORI FROM SJS.ARRESTPEOPLE AP WHERE AP.PD_ID =:OLD.PD_ID
         )
         )
         loop
         insert into NYDEX.NYDEX_MOD_LOG values (i.i_id,'GREEN',null,1,'M',i.I_AGCY_ORI,'N','N','N',null,null,null);
         end loop;
END;
/